Description

Hey Folks,

In the current version (1.8) the measure line tool misses a huge feature which is using a user defined datum/ellipsoid. In QGIS General

Preferences, you can select a lot of datum but all of them are hard-coded. I'd like to see a user defined option or adding all of the IAU

(International Astronomy Union) which includes Mercury, Mars, Venus, the Moon, Jupiter and Saturn and their respective moons and so

one. In the current situation, if your project CRS is in Lon/Lat, values from Measure line will be wrong. The easiest way would be adding

a user defined ellipsoid for distance calculation.

Thank you guys.

A.

History

#1 - 2012-07-10 02:03 AM - Giovanni Manghi

- Operating System deleted (All)

- Status changed from Open to Feedback

Please change the title of this ticket to something more meaningful, otherwise it will never catch the necessary attention.

#2 - 2012-08-28 02:45 PM - Magnus Homann

- Target version changed from Version 1.8.0 to Version 2.0.0

- Assignee set to Magnus Homann

#3 - 2012-09-02 12:13 AM - Magnus Homann

What would the layer CRS be in the case ewhen working on the moon? A custom CRS?

#4 - 2012-09-05 11:11 PM - Magnus Homann

- Status changed from Feedback to Closed

You can set your own ellipsoin now in Options -> Map tools. You should also set the project projection to the same ellipsoid

2025-04-27 1/1


